# Search Published Listings For Consumer

`GET /api/2.1/marketplace-consumer/search-listings`

Search published listings in the Databricks Marketplace that the consumer has access to.
 This query supports a variety of different search parameters and performs fuzzy matching.

API scopes: marketplace

## Query parameters

- `query` (string, optional)
  Fuzzy matches query
- `is_free` (boolean, optional)
- `is_private_exchange` (boolean, optional)
- `provider_ids` (array of string, optional)
  Matches any of the following provider ids
- `categories` (array of string, optional)
  Matches any of the following categories
  Possible values: `ADVERTISING_AND_MARKETING`, `CLIMATE_AND_ENVIRONMENT`, `COMMERCE`, `DEMOGRAPHICS`, `ECONOMICS`, `EDUCATION`, `ENERGY`, `FINANCIAL`, `GAMING`, `GEOSPATIAL`, `HEALTH`, `LOOKUP_TABLES`, `MANUFACTURING`, `MEDIA`, `OTHER`, `PUBLIC_SECTOR`, `RETAIL`, `SECURITY`, `SCIENCE_AND_RESEARCH`, `SPORTS`, `TRANSPORTATION_AND_LOGISTICS`, `TRAVEL_AND_TOURISM`
- `assets` (array of string, optional)
  Matches any of the following asset types
  Possible values: `ASSET_TYPE_UNSPECIFIED`, `ASSET_TYPE_GIT_REPO`, `ASSET_TYPE_DATA_TABLE`, `ASSET_TYPE_MODEL`, `ASSET_TYPE_NOTEBOOK`, `ASSET_TYPE_MEDIA`, `ASSET_TYPE_PARTNER_INTEGRATION`, `ASSET_TYPE_APP`, `ASSET_TYPE_MCP`
- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

Returns a list of Listing objects.

## Response

```json
{
  "listings": [
    {
      "id": "string",
      "summary": {},
      "detail": {}
    }
  ],
  "next_page_token": "string"
}
```

